#!/bin/sh
# installer 3 for Fedora 7
#
# ここのほぼコピペ
# http://fedorasrv.com/ivtv-0.10-2.6.22.shtml


 WHOAMI=`/usr/bin/whoami`
  if [ $WHOAMI != "root" ]; then
          echo "You must be root to this process"
          exit 1
  fi
  
#■TVキャプチャツール設定
#（１）TVキャプチャツール実行に必要なPerlモジュールインストール
wget http://www.macmil.co.jp/macmil/dat/recv4l2p.tar #　←　修正版TVキャプチャツールダウンロード
/bin/mv recv4l2p.tar /usr/local/bin/record-v4l2.pl #　←　TVキャプチャツールを所定のディレクトリへ移動
chmod +x /usr/local/bin/record-v4l2.pl

if [ -r  /etc/yum.repos.d/atrpms.repo ]
  then
   echo
	else
	#←　ATrpms用yumリポジトリ新規作成
echo "[atrpms]" >> /etc/yum.repos.d/atrpms.repo
echo "name=Fedora Core \$releasever - \$basearch - ATrpms" >> /etc/yum.repos.d/atrpms.repo
echo "baseurl=http://dl.atrpms.net/f\$releasever-\$basearch/atrpms/stable" >> /etc/yum.repos.d/atrpms.repo
echo "gpgkey=http://ATrpms.net/RPM-GPG-KEY.atrpms" >> /etc/yum.repos.d/atrpms.repo
echo "gpgcheck=1" >> /etc/yum.repos.d/atrpms.repo
echo "enabled=0" >> /etc/yum.repos.d/atrpms.repo
#←　標準パッケージとの競合を避けるため、デフォルトは無効にしておく
  fi

rpm --import http://atrpms.net/RPM-GPG-KEY.atrpms #　←　GPGキーインポート
yum -y install --enablerepo=atrpms perl-Video-Frequencies perl-Video-ivtv perl-Config-IniFiles perl-Tk 
#　←　TVキャプチャツール実行に必要なPerlモジュールインストール

#（２）TVキャプチャツール設定
rm -f ~/.ivtvrc ; record-v4l2.pl --version #　←　TVキャプチャツール設定ファイル作成
sed -i 's/^OutputSettings=.*/OutputSettings=0/g' ~/.ivtvrc #　←　TVキャプチャツール設定ファイル変更
sed -i 's/^TunerNum=.*/TunerNum=0/g' ~/.ivtvrc #　←　TVキャプチャツール設定ファイル変更
sed -i 's/^DirectoryFormatString=.*/DirectoryFormatString=/g' ~/.ivtvrc #　←　TVキャプチャツール設定ファイル変更
sed -i 's/^FrequencyTable=.*/FrequencyTable=ntsc-bcast-jp/g' ~/.ivtvrc

cp -f ~/.ivtvrc /home/foltia/

chown foltia:foltia /home/foltia/.ivtvrc