#!/usr/bin/perl 
#
# usage [/path/to/file] "UPDATEDEFAULT=yes" "UPDATEDEFAULT=no"
#
#


my $file = $ARGV[0];
my $src = $ARGV[1];
my $dst  = $ARGV[2];

if (( $file eq '' ) || ( $src eq '' ) || ( $dst eq '' )){
print qq{usage /path/to/file "UPDATEDEFAULT=yes" "UPDATEDEFAULT=no"\n};
exit;
}

if (-e $file){
chomp($file); 
my $workfile = "$file"."__tmp__";
unless (-e "$workfile" ){

open (FILE,"$file") || die "File can not open. $! \n";
open (REWRITE,">$workfile") || die "File can not create. $! \n";

while (<FILE>){
chomp();

	if (/$src/){
	print REWRITE "#$src\n";
	print REWRITE "$dst\n";
	}else{
	print REWRITE "$_\n";
	}
	
}# while

`mv $workfile $file`; 

}#unless
}else{
	print "File not found:$file\n";
	exit;
}
