#!/bin/sh
# installer 1 for Fedora 7
#
# ここのほぼコピペ
# http://fedorasrv.com/ivtv-0.10-2.6.22.shtml

 WHOAMI=`/usr/bin/whoami`
  if [ $WHOAMI != "root" ]; then
          echo "You must be root to this process"
          exit 1
  fi


# uname -r #　←　kernelバージョンが2.6.22系であることを確認
#2.6.22.4-65.fc7
rpm -q kernel-devel-`uname -r` #　←　kernelソースインストール確認
#kernel-devel-2.6.22.4-65.fc7
yum -y install kernel-devel-`uname -r`  #　←　kernelソースインストール※インストールされていない場合のみ

#　yumで最新版のkernelがインストールされても、起動時のkernelを変更しないようにする
./paramrewrite.pl /etc/sysconfig/kernel "UPDATEDEFAULT=yes" "UPDATEDEFAULT=no"

wget http://www.macmil.co.jp/macmil/dat/s7115f8p.tar
wget http://www.macmil.co.jp/macmil/dat/tvau-f8p.tar
wget http://www.macmil.co.jp/macmil/dat/kb10-f8.tar
wget http://dl.ivtvdriver.org/ivtv/archive/1.0.x/ivtv-1.0.2.tar.gz
tar zxvf ivtv-1.0.2.tar.gz
mv s7115f8p.tar ivtv-1.0.2/i2c-drivers/saa7115.c
mv tvau-f8p.tar ivtv-1.0.2/i2c-drivers/tvaudio.c
/bin/mv kb10-f8.tar ivtv-1.0.2/i2c-drivers/Kbuild

cd ivtv-1.0.2
make && make install #←　ivtv-1.0インストール
/bin/cp i2c-drivers/saa7115.ko /lib/modules/`uname -r`/kernel/drivers/media/video/ #　←　ivtv-1.0対応saa7115.koを所定のディレクトリへコピー
/bin/cp i2c-drivers/tvaudio.ko /lib/modules/`uname -r`/kernel/drivers/media/video/ #　←　ivtv-1.0対応tvaudio.koを所定のディレクトリへコピー
/bin/cp utils/ivtvfwextract.pl /usr/local/bin/ #　←　ファームウェア抽出コマンドを所定のディレクトリへコピー
cd ..#　←　ivtv-1.0展開先ディレクトリを抜ける
rm -rf ivtv-1.0.2 #　←　ivtv-1.0展開先ディレクトリを削除
rm -f ivtv-1.0.2.tar.gz #　←　展開前ivtv-1.0を削除
